%define upstream_name    PerlIO-Util
%define upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A selection of general PerlIO utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=74539
Patch0:     PerlIO-Util-0.72-fix_refcount_test.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel
%description
'PerlIO::tee' provides a multiplex output stream like 'tee(1)'. It makes a
filehandle write to one or more files (or scalars via the ':scalar' layer)
at the same time.

You can use 'push_layer()' (defined in 'PerlIO::Util') to add a _source_ to
a filehandle. The _source_ may be a file name, a scalar reference, or a
filehandle. For example:

	$fh->push_layer(tee => $file);    # meaning "> $file"
	$fh->push_layer(tee => ">>$file");# append mode
	$fh->push_layer(tee => \$scalar); # via :scalar
	$fh->push_layer(tee => \*OUT);    # shallow copy, not duplication

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1 -b .refcount

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.720.0-5.mga4
+ Revision: 524928
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.720.0-4.mga4
+ Revision: 431730
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-3.mga3
+ Revision: 371788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 jquelin <jquelin> 0.720.0-2.mga3
+ Revision: 252213
- fix refcount test
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 0.720.0-1.mga2
+ Revision: 105705
- update to 0.72

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.710.0-1.mga1
+ Revision: 22760
- cleaning spec file
- imported package perl-PerlIO-Util


* Fri Jan 14 2011 cpan2dist 0.71-1mdv
- initial mdv release, generated with cpan2dist
